﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Descargas.aspx.cs" Inherits="SoftwareWebDidactico.Descargas" %>
<%@ Register assembly="Telerik.Web.UI" namespace="Telerik.Web.UI" tagprefix="telerik" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>
<asp:Content ID="Content2" runat="server" 
    contentplaceholderid="ContentPlaceHolder">
    <div class="textoInformacionPanel" __designer:mapid="55">
        <h2>DESCARGAS</h2>
        <hr />
        <table style="width:100%;">
            <tr>
                <td>
                    <table style="width:100%;">
                        <tr>
                            <td class="separacionCamposEstandar">
                                Filtrar categoría:</td>
                            <td>
                                <asp:CheckBoxList ID="gruposCheckBoxList" runat="server" AutoPostBack="True" 
                                    DataSourceID="gruposLinqDataSource" DataTextField="grupo" 
                                    DataValueField="idGrupoDescarga" 
                                    onselectedindexchanged="gruposCheckBoxList_SelectedIndexChanged" 
                                    RepeatDirection="Horizontal">
                                </asp:CheckBoxList>
                            </td>
                            <td>
                                &nbsp;</td>
                        </tr>
                    </table>
                    <asp:LinqDataSource ID="gruposLinqDataSource" runat="server" 
                        ContextTypeName="SoftwareWebDidactico.Modelo.DataClassesDataContext" 
                        EntityTypeName="" Select="new (idGrupoDescarga, grupo)" 
                        TableName="GrupoDescarga">
                    </asp:LinqDataSource>
                </td>
            </tr>
        </table>
        <hr />
        <asp:DataList ID="descargasDataList" runat="server" Width="656px">
            <ItemTemplate>
            <fieldset>
            <legend style="font-family: sans-serif; font-size: small">
                <asp:Label ID="grupoLabel" Text='<%# Eval("grupo") %>' runat="server"></asp:Label></legend>
                <asp:DataList ID="categoriasDataList" runat="server" 
                    DataSourceID="categoriasSqlDataSource">
                    <ItemTemplate>
                        <table style="width:100%;">
                            <tr>
                                <td>
                                    <ul>
                                        <li>
                                            <asp:LinkButton ID="categoriaLinkButton" runat="server" PostBackUrl='<%# "~/Downloads/ListaDescargas.aspx?grupo="+Eval("grupo")+"&cat="+Eval("idCategoriaDescarga") %>'
                                                Text='<%# Eval("nombre") %>'></asp:LinkButton>
                                        </li>
                                    </ul>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <asp:Label ID="descripcionLabel" runat="server" 
                                        Text='<%# Eval("descripción") %>' Font-Italic="True" 
                                        style="color: #000000"></asp:Label>
                                </td>
                            </tr>
                        </table>
                    </ItemTemplate>
                </asp:DataList>
                 <asp:HiddenField ID="idGrupoHiddenField" Value='<%# Eval("idGrupoDescarga") %>' runat="server" />
                <asp:SqlDataSource ID="categoriasSqlDataSource" runat="server" 
                    ConnectionString="<%$ ConnectionStrings:DBSofWebDidConnectionString %>" 
                    SelectCommand="SELECT * FROM [TbCategoriaDescarga] WHERE ([grupo] = @grupo)">
                    <SelectParameters>
                        <asp:ControlParameter ControlID="idGrupoHiddenField" Name="grupo" PropertyName="Value" 
                            Type="Int32" />
                    </SelectParameters>
                </asp:SqlDataSource>
            </fieldset>
            </ItemTemplate>
        </asp:DataList>
        <asp:SqlDataSource ID="gruposCategoriaSqlDataSource" runat="server" 
            ConnectionString="<%$ ConnectionStrings:DBSofWebDidConnectionString %>" 
            SelectCommand="SELECT [idCategoriaDescarga], [nombre], [descripción] FROM [TbCategoriaDescarga]">
        </asp:SqlDataSource>
    </div>
</asp:Content>

