﻿using System;
using System.Collections;
using System.Web.UI.WebControls;

namespace SoftwareWebDidactico.Espacio_de_preguntas
{
    public partial class EDPMaster : System.Web.UI.MasterPage
    {
        ConsultasBD consultas = new ConsultasBD();

        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                numPregLabel.Text = "#" + consultas.entradasEspacioPreguntas().ToString() + " " + "preguntas";

                ArrayList categorias = consultas.categoriasEspacioPreguntas();
                foreach (MenuItem li in categorias)
                {
                    faqMenu.Items[0].ChildItems.Add(li);
                }
            }
        }

        protected void faqMenu_MenuItemClick(object sender, MenuEventArgs e)
        {
            Menu menu = (Menu)sender;

            if (menu.SelectedItem.Parent!=null)
            {
                Response.Redirect("~/EDP/CategoriaEspacio.aspx?id=" + menu.SelectedItem.Value);
            }
            else if (menu.SelectedItem.Text == "Nueva pregunta")
            {
                Response.Redirect("~/EDP/NuevaRespuestaEspacio.aspx");
            }
            else if (menu.SelectedItem.Text == "Sin responder")
            {
                Response.Redirect("~/EDP/SinRespuesta.aspx");
            }
            else if (menu.SelectedItem.Text == "Etiquetas")
            {
                Response.Redirect("~/EDP/EtiquetasEspacio.aspx");
            }
        }
    }
}