﻿<%@ Page Title="" Language="C#" MasterPageFile="~/EDP/EDPMaster.master" AutoEventWireup="true" CodeBehind="Entrada.aspx.cs" Inherits="SoftwareWebDidactico.EDP.Entrada" %>
<%@ Register assembly="Telerik.Web.UI" namespace="Telerik.Web.UI" tagprefix="telerik" %>
<%@ Register assembly="AjaxControlToolkit" namespace="AjaxControlToolkit" tagprefix="asp" %>
<asp:Content ID="Content1" ContentPlaceHolderID="contenidoPlaceHolder" runat="server">
<script type="text/javascript">
    function ClickingEliminarEntrada(sender, args) {
        args.set_cancel(!window.confirm("¿Está seguro de eliminar la entrada?"));
    }
    function ClickingEliminarRespuesta(sender, args) {
        args.set_cancel(!window.confirm("¿Está seguro de eliminar su respuesta?"));
    }
</script>
<div class="textoInformacionPanel" >
     <h2><asp:Label ID="categoriaLabel" runat="server"></asp:Label></h2>
     <hr />
     <h2><asp:Label ID="preguntaLabel" runat="server" style="font-weight: 700"></asp:Label></h2>
     <br />
     <fieldset>
     <legend class="fontFAQ">Entrada</legend>
         <asp:Panel ID="resumenPanel" runat="server" BackColor="#F3F3F3">
             <div style="padding:5px; color:Black">
                <asp:Label ID="resumenLabel" runat="server"></asp:Label>
            </div>
         </asp:Panel>
         <br />

        <table style="width:100%;">
             <tr>
                 <td style="width:200px">
                      por: <asp:Label ID="autorLabel" runat="server" style="font-style: italic; color:Black"></asp:Label>
                 &nbsp;el
                      <asp:Label ID="fechaLabel" runat="server" Font-Italic="True" ForeColor="Black"></asp:Label>
                 <td style="text-align:right; width:300px">
                    <asp:LinkButton ID="eliminarEntradaButton" runat="server" CausesValidation="False"
                        CommandName="EliminarEntrada" Text="Eliminar" OnClientClick="return confirm('¿Estás seguro de eliminar la entrada?');" Visible="False" onclick="EliminarEntrada" ></asp:LinkButton>
                 </td>
             </tr>
         </table>
        
         <br />
         <br />
         <table style="width:100%;">
             <tr>
                 <td class="separacionEtiquetasFAQ">
                     <strong>Etiquetas</strong>:
                 <td>
                     <asp:DataList ID="etiquetasDataList" runat="server" 
                         RepeatDirection="Horizontal" DataSourceID="etiquetasSqlDataSource" Height="16px">
                         <ItemTemplate>
                             <telerik:RadButton ID="etiquetaRadButton" runat="server" NavigateUrl='<%# "~/EDP/TemasEtiquetaEspacio.aspx?id=" + DataBinder.Eval(Container.DataItem, "idEtiqueta") %>'
                                 Text='<%# DataBinder.Eval(Container.DataItem, "etiqueta") %>' 
                                 ButtonType="LinkButton" >
                             </telerik:RadButton>
                         </ItemTemplate>
                     </asp:DataList>
                 </td>
             </tr>
         </table>
         <br />
         <asp:SqlDataSource ID="etiquetasSqlDataSource" runat="server" 
             ConnectionString="<%$ ConnectionStrings:DBSofWebDidConnectionString %>" 
             SelectCommand="SELECT TbEtiquetaFAQ.idEtiqueta, TbEtiquetaFAQ.etiqueta FROM TbEtiquetaFAQ INNER JOIN TbEntradasEtiqueta ON TbEtiquetaFAQ.idEtiqueta=TbEntradasEtiqueta.etiqueta WHERE TbEntradasEtiqueta.entrada=@pregunta">
             <SelectParameters>
                 <asp:QueryStringParameter Name="pregunta" QueryStringField="id" />
             </SelectParameters>
         </asp:SqlDataSource>

    </fieldset>
    <fieldset>
     <legend style="font-family: sans-serif; font-size: small">
         <asp:Label ID="respuestasLabel" runat="server" Font-Size="Medium"></asp:Label></legend>
     
        <asp:DataList ID="respuestasDataList" runat="server" Width="643px" 
            OnItemCommand="EliminarRespuesta">
            <ItemTemplate>
                <asp:Panel ID="resumenPanel0" runat="server" BackColor="#F3F3F3" Width="680px">
                    <table style="width:100%;">
                        <tr>
                            <td rowspan="2">
                                &nbsp;</td>
                            <td colspan="2">
                                <asp:Label ID="respuestaLabel" runat="server"
                                    Text='<%# DataBinder.Eval(Container.DataItem, "respuesta") %>'></asp:Label>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                &nbsp;</td>
                            <td>
                                Respondido el
                                <asp:Label ID="fechaLabel" runat="server" 
                                    Text='<%# DataBinder.Eval(Container.DataItem, "fecha") %>'> 
                                </asp:Label>
                                por
                                <asp:Label ID="usuario" Text='<%# DataBinder.Eval(Container.DataItem, "username") %>' runat="server"></asp:Label>    
                                <asp:Label ID="idUsuario" Visible="false" runat="server" Text='<%# DataBinder.Eval(Container.DataItem, "usuario") %>'> </asp:Label>  
                                <asp:Label ID="idRespuesta" Visible="false" runat="server" Text='<%# DataBinder.Eval(Container.DataItem, "id") %>'> </asp:Label>    
                            </td>
                        </tr>
                    </table>
                </asp:Panel>
               <div style="text-align:right; padding-top:5px;">
                    <asp:LinkButton ID="DeleteButton" runat="server" CausesValidation="False"
                            CommandName="EliminarRespuesta" Text="Eliminar"
                            
                        OnClientClick="return confirm('¿Estás seguro de eliminar su respuesta?');" 
                        Visible="False" ></asp:LinkButton>
               </div>
            </ItemTemplate>
            <SeparatorTemplate>
                <hr />
            </SeparatorTemplate>
        </asp:DataList>
     
        <asp:RoundedCornersExtender ID="respuestasDataList_RoundedCornersExtender" 
            runat="server" Enabled="True" TargetControlID="respuestasDataList">
        </asp:RoundedCornersExtender>
     
    </fieldset>
    <br />
    <br />
    <hr />
    <fieldset>
     <legend class="fontFAQ">Tu respuesta</legend>
        <CKEditor:CKEditorControl ID="respuestaCKEditor" runat="server">
                    </CKEditor:CKEditorControl>   
        <br />
        <telerik:RadButton ID="postearRadButton" runat="server" Text="Postear respuesta" 
            onclick="postearRadButton_Click"> 
        </telerik:RadButton>
     <br />
     

    </fieldset>

        <br />
        </div>
</asp:Content>
