﻿using System;
using System.Data;
using System.Linq;
using System.Data.SqlClient;
using System.Configuration;
using SoftwareWebDidactico.Modelo;

namespace SoftwareWebDidactico
{
    public partial class Cuestionfaq : System.Web.UI.Page
    {
        DataClassesDataContext db = new DataClassesDataContext();
        ConsultasBD consultas = new ConsultasBD();

        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                consultas.actualizarVistasFAQ(int.Parse(Request.QueryString["id"]));

                var resultado = (from f in db.Faq
                     join c in db.CategoriaFaq
                     on f.faq equals c.idCategoria
                     where f.id.ToString() == Request.QueryString["id"]
                     select new {f.pregunta, f.resumen, f.fecha, c.categoria, f.respuestas}).First();

                categoriaLabel.Text = "CATEGORÍA > " + resultado.categoria.ToUpper();
                preguntaLabel.Text = resultado.pregunta;
                resumenLabel.Text = resultado.resumen;

            }

        }


        

    }
}