﻿<%@ Page Title="" Language="C#" MasterPageFile="~/FAQ/FAQMaster.master" AutoEventWireup="true" CodeBehind="FAQ.aspx.cs" Inherits="SoftwareWebDidactico.FAQ" %>
<%@ Register assembly="AjaxControlToolkit" namespace="AjaxControlToolkit" tagprefix="ajaxToolkit" %>
<asp:Content ID="Content1" runat="server" 
    contentplaceholderid="contenidoPlaceHolder">
    <span class="subtitulo" >¿Qué encontrarás aquí?</span><br /><br />
    <div style="text-align: justify;">
            Esta plataforma tiene como objetivo ayudar al usuario a familiarizarse con el 
            lenguaje de programación C#, fomentando la búsqueda y el autoaprendizaje. Es 
            normal encontrarse con obstáculos en dicho en camino, por eso proveemos este 
            apartado de Preguntas Más Consultadas (Frequently Asked Questions), donde 
            recolectamos las dudas más típicas de otros usuarios.</div>
    <br /><span class="subtitulo">El uso de etiquetas</span><br /><br />
    <div style="text-align: justify;">
            El uso de etiquetas permite identificar más fácilmente las cuestiones. Acude a 
            la sección Etiquetas para filtrar rápidamente por un tema dado.
    </div>
    <br />

    <asp:Panel ID="preguntasMasConsultadasPanel" runat="server" BackColor="#DDDDDD" 
        style="text-align: justify; padding:8px;">
        &nbsp;&nbsp;&nbsp;<span class="subtituloSubrayado"><strong>Preguntas más 
        consultadas </strong>
        <br />
        </span><br />
        <asp:DataList ID="preguntasMasConsultadasDataList" runat="server" 
        DataSourceID="preguntasMasConsultadasSqlDataSource" 
        style="margin-left: 20px" Font-Bold="False" Width="626px">
            <ItemTemplate>
                <table style="width:100%;">
                    <tr>
                        <td>
                            <asp:HyperLink ID="preguntaHyperLink" runat="server" Font-Size="Medium" 
                                ForeColor="#3366FF" Text='<%# Bind("pregunta") %>' NavigateUrl='<%# "~/FAQ/CuestionFAQ.aspx?id=" + DataBinder.Eval(Container.DataItem, "id") %>'>
                            </asp:HyperLink>
                        </td>
                        <td style="text-align: right">
                            <asp:Label ID="vistasLabel" Text='<%# Bind("vistas") %>' runat="server"></asp:Label>
                            &nbsp;vistas</td>
                    </tr>
                </table>
            </ItemTemplate>
        </asp:DataList>
    </asp:Panel>
    <ajaxToolkit:RoundedCornersExtender ID="preguntasMasConsultadasPanel_RoundedCornersExtender" 
        runat="server" Enabled="True" Radius="6" 
        TargetControlID="preguntasMasConsultadasPanel">
    </ajaxToolkit:RoundedCornersExtender>
    <br />
    
    <asp:SqlDataSource ID="preguntasMasConsultadasSqlDataSource" runat="server" 
        ConnectionString="<%$ ConnectionStrings:DBSofWebDidConnectionString %>" 
        SelectCommand="SELECT TOP (10) pregunta, vistas, id FROM TbFaq ORDER BY vistas DESC">
    </asp:SqlDataSource>
        
</asp:Content>

