﻿using System;
using System.Collections;
using System.Web.UI.WebControls;

namespace SoftwareWebDidactico
{
    public partial class FAQMaster : System.Web.UI.MasterPage
    {
        ConsultasBD consultas = new ConsultasBD();

        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                numPregLabel.Text = "#" + consultas.preguntasFAQ().ToString() + " " + "preguntas";

                ArrayList categorias = consultas.categoriasFAQ();
                foreach (MenuItem li in categorias)
                {
                    faqMenu.Items[0].ChildItems.Add(li);
                }
            }
        }

        protected void faqMenu_MenuItemClick(object sender, MenuEventArgs e)
        {
            Menu menu = (Menu)sender;

            if (menu.SelectedItem.Parent!=null)
            {
                Response.Redirect("~/FAQ/CategoriaFAQ.aspx?faq=" + menu.SelectedItem.Value);
            }
            else if (menu.SelectedItem.Text == "Nueva pregunta")
            {
                Response.Redirect("~/FAQ/NuevaPreguntaFAQ.aspx");
            }
            else if (menu.SelectedItem.Text == "Sin responder")
            {
                Response.Redirect("~/FAQ/SinRespuestaFAQ.aspx");
            }
            else if (menu.SelectedItem.Text == "Etiquetas")
            {
                Response.Redirect("~/FAQ/EtiquetasFAQ.aspx");
            }

        }
    }
}