﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Manual.aspx.cs" Inherits="SoftwareWebDidactico.Manual" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder" runat="server">
    <div>
    <h2>
	    MANUAL DE USUARIO</h2>
    <hr />
    <h2 style="text-align: justify; ">
	    <span style="color:#daa520;">Contenido</span></h2>
    <p style="margin-left: 40px; ">
	    <a href="#1.Ver documentos">1. Ver documentos</a></p>
    <p style="margin-left: 40px; ">
	    <a href="#2. Consultar temario / Realizar ejercicio sobres temas">2. Consultar temario / Realizar ejercicio sobres temas</a></p>
    <p style="margin-left: 40px; ">
	    <a href="#3. Espacio de preguntas">3. Espacio de preguntas</a></p>
    <p style="margin-left: 40px; ">
	    <a href="#4. Consultar F.A.Q">4. Consultar F.A.Q</a></p>
    <p style="margin-left: 40px; ">
	    <a href="#5. Autoevaluación">5. Autoevaluaci&oacute;n</a></p>
    <p style="margin-left: 40px; ">
	    <a href="#6. Descargas">6. Descargas</a></p>
    <p style="margin-left: 40px; ">
	    <a href="#7. Registrarse">7. Registrarse</a></p>
    <h2 style="text-align: justify; ">
	    <a name="1. Ver documentos"><span style="color:#daa520;">1. Ver documentos</span></a></h2>
    <p>
	    <span style="color:#000000;">Los documentos disponibles en la aplicaci&oacute;n son fuentes de informaci&oacute;n que el administrador del curso considera de inter&eacute;s para el usuario o para complementar el temario del curso. Para verlos situaremos el rat&oacute;n sobre el bot&oacute;n Documentaci&oacute;n del </span><span style="color:#000000;"><em>men&uacute; principal</em></span><span style="color:#000000;">.</span></p>
        <div style="text-align:center;"><img src="Images/Manual/Ver%20documento.png" /></div>
    <p>
	    <span style="color:#000000;">Dicha acci&oacute;n nos mostrar&aacute; todos los documentos disponibles en la aplicaci&oacute;n, a los que podremos acceder clickando sobre cualquiera de ellos.</span></p>
    
    
    <h2 style="text-align: justify; ">
	    <a name="2. Consultar temario / Realizar ejercicio sobres temas"><span style="color:#daa520;">2. Consultar temario / Realizar ejercicios sobre temas</span></a></h2>
    <p>
	    <span style="color:#000000;">El temario del curso disponible en la aplicaci&oacute;n puede verse de forma similiar como el temario de un libro f&iacute;sico formado por distintos cap&iacute;tulos y apartados.</span></p>
        <div style="text-align:center;"><img src="Images/Manual/Ver%20temario.png" /></div>
    <p>
	    <span style="color:#000000;">Puede verse en la parte lateral derecha de la aplicaci&oacute;n. Los distintos temas aparecen agrupados bajo categor&iacute;as, que engloban a un conjunto de temas relacionados por contenido. As&iacute;mismo, existen dos l&iacute;neas para poder seguir los temas de una categor&iacute;a, l&iacute;nea de introducci&oacute;n o l&iacute;nea completa. La l&iacute;nea de introducci&oacute;n debe de ofrecer los conocimientos m&iacute;nimos como para obtener unos conocimientos b&aacute;sicos. La l&iacute;nea completa puede a&ntilde;adir nuevos temas a la l&iacute;nea de introducci&oacute;n.</span></p>
    <p>
	    <span style="color:#000000;">Para acceder a un tema clickaremos sobre cualquiera de ellos.</span></p>
    <p>
	    <span style="color:#000000;">Una vez all&iacute;, podremos visualizar todo el contenido del tema y realizar tanto ejercicios (opci&oacute;n Realizar ejercicios) como tests de conocimiento (opci&oacute;n Realizar test).</span></p>
        <div style="text-align:center;"><img width=600px src="Images/Manual/Tema.png" /></div>
    
    <h2 style="text-align: justify; ">
	    <a name="3. Espacio de preguntas"><span style="color:#daa520;">3. Espacio de preguntas</span></a></h2>
    <p>
	    <span style="color:#000000;">El espacio de preguntas es un espacio donde los usuarios pueden exponer y resolver las dudas de otros usuarios.</span></p>
    <p>
	    <span style="color:#000000;">Accedemos a este espaci&oacute;n desde la opci&oacute;n Espacio de preguntas del </span><span style="color:#000000;"><em>men&uacute; principal</em></span></p>
    <p>
	    <span style="color:#000000;">Una vez all&iacute; veremos las distintas secciones en las que se divide el espacio y que agrupan todas las preguntas de los usuarios. Podemos agrupar estas preguntas para ver las que no han sido respondidas (opci&oacute;n Sin responder) o por las que tienen asignada alguna etiqueta en particular (opci&oacute;n Etiquetas).</span></p>
        <div style="text-align:center;"><img width=600px src="Images/Manual/EDP.png" /></div>
    <p>
	    <span style="color:#000000;">Para insertar una nueva pregunta en el espacion clickamos sobre la opci&oacute;n Nueva pregunta e introduciremos nuestra cuesti&oacute;n.</span></p>
    <h2 style="text-align: justify; ">
	    <a name="4. Consultar F.A.Q"><span style="color:#daa520;">4. Consultar F.A.Q</span></a></h2>
    <p>
	    <span style="color:#000000;">El F.A.Q. (Apartado de preguntas m&aacute;s com&uacute;nes) re&uacute;ne una serie de cuestiones que el administrador del curso considera frecuentes entre los usuarios y que pueden resolverse r&aacute;pidamente acudiendo a &eacute;l.</span></p>
    <p>
	    <span style="color:#000000;">Para acceder a &eacute;l pulsamos sobre la opci&oacute;n F.A.Q del <em>men&uacute; principal</em>.</span></p>
        <div style="text-align:center;"><img width=600px src="Images/Manual/Faq.png" /> </div>
    <p>
	    <span style="color:#000000;">All&iacute; podremos ver las distintas categor&iacute;as que agrupan a las cuestiones adem&aacute;s de un panel con las 10 preguntas m&aacute;s consultadas</span></p>
    <h2 style="text-align: justify; ">
	    <a name="5. Autoevaluación"><span style="color:#daa520;">5. Autoevaluaci&oacute;n</span></a></h2>
    <p>
	    <span style="color:#000000;">Cada tema puede venir acompa&ntilde;ado de un test de conocimientos para comprobar lo que hemos aprendido.</span></p>
    <p>
	    <span style="color:#000000;">Para realizar un test nos situamos sobre la opci&oacute;n Autoevaluaci&oacute;n del </span><span style="color:#000000;"><em>men&uacute; principal</em></span><span style="color:#000000;">.</span></p>
        <div style="text-align:center;"><img src="Images/Manual/Menu%20Test.png" /></div>
    <p>
	    <span style="color:#000000;">Si queremos hacer un test, pinchamos sobre la opci&oacute;n Hacer test. All&iacute; veremos los distintos test disponibles para la categor&iacute;a seleccionada.</span></p>
        <div style="text-align:center;"><img width=600px src="Images/Manual/listadoTest.png" /></div>
    <p>
	    <span style="color:#000000;">Para revisar los resultados en nuestros test resultados, pinchamos sobre el bot&oacute;n Revisar resultado del men&uacute; principal.</span></p>
    <h2 style="text-align: justify; ">
	    <a name="6. Descargas"><span style="color:#daa520;">6. Descargas</span></a></h2>
    <p>
	    <span style="color:#000000;">Las descargas nos proporcionar&aacute;n proyectos, ejemplos y c&oacute;digos que podemos tener para un mejor estudio.</span></p>
    <p>
	    <span style="color:#000000;">Para acceder a ellas pulsamos sobre el bot&oacute;n Descargas del <em>men&uacute; principal</em>.</span></p>
        <div style="text-align:center;"> <img width=600px src="Images/Manual/Descargas.png" /></div>
    <p>
	    <span style="color:#000000;">Una vez all&iacute;, seleccionamos dentro de las casillas la categor&iacute;a de la que queremos descargar materiales.</span></p>
    <h2 style="text-align: justify; ">
	    <a name="7. Registrarse"><span style="color:#daa520;">7. Registrarse</span></a></h2>
    <p>
	    <span style="color:#000000;">Para registrarnos en la aplicaci&oacute;n y as&iacute; poder tener un registro con nuestros resultados en los test de conocimiento pulsaremos sobre el bot&oacute;n de Iniciar sesi&oacute;n en la parte superior derecha de la aplicaci&oacute;n.</span></p>
        <div style="text-align:center;"><img src="Images/Manual/Registro.png" /></div>
    <p>
	    <span style="color:#000000;">Como no tenemos una cuenta creada, pulsaremos sobre el enlace Registrarse e introduciremos nuestra informaci&oacute;n de registro.</span></p>
    
    </div>
</asp:Content>
