﻿using System;
using System.Collections;
using System.Data;
using System.Linq;
using System.Data.SqlClient;
using System.Configuration;
using System.Web.UI.WebControls;
using Telerik.Web.UI;
using System.Collections.Generic;
using SoftwareWebDidactico.Modelo;
using System.Web.Security;


namespace SoftwareWebDidactico
{
    public partial class Registro : System.Web.UI.Page
    {
        DataClassesDataContext db = new DataClassesDataContext();

        protected void Page_Load(object sender, EventArgs e)
        {
            RegisterUser.ContinueDestinationPageUrl = Request.QueryString["ReturnUrl"];
        }

        protected void RegisterUser_CreatedUser(object sender, EventArgs e)
        {
            FormsAuthentication.SetAuthCookie(RegisterUser.UserName, false /* createPersistentCookie */);

            MembershipUser m = Membership.GetUser(RegisterUser.UserName);
            Guid key = (Guid)m.ProviderUserKey;

            aspnet_UsersInRoles newUserInRole = new aspnet_UsersInRoles { UserId = key, RoleId = new Guid("5f8b15ab-7622-4e07-a3cb-7cbeb8790202") };
            db.aspnet_UsersInRoles.InsertOnSubmit(newUserInRole);
            db.SubmitChanges();

            string continueUrl = RegisterUser.ContinueDestinationPageUrl;
            if (String.IsNullOrEmpty(continueUrl))
            {
                continueUrl = "~/Inicio.aspx";
            }
            Response.Redirect(continueUrl);
        }


    }
}