﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;
using SoftwareWebDidactico.Modelo;

namespace SoftwareWebDidactico
{
    public partial class Ejercicio : System.Web.UI.Page
    {
        private DataClassesDataContext db = new DataClassesDataContext();

        protected void Page_Load(object sender, EventArgs e)
        {
            temaLabel.Text = (from t in db.TemaC
                              where t.idTema.ToString().Equals(Request.QueryString["id"])
                              select t.titulo).First<string>();
        }

        protected void respuestaRadButton_Click(object sender, EventArgs e)
        {
            RadButton b = (RadButton)sender;
            DataListItem dli = (DataListItem)b.Parent;

            if (b.Text == "Ver respuesta")
            {
                ((RadEditor)dli.FindControl("respuestaRadEditor")).Visible = true;
                b.Text = "Ocultar respuesta";
            }
            else
            {
                ((RadEditor)dli.FindControl("respuestaRadEditor")).Visible = false;
                b.Text = "Ver respuesta";
            }


        }
    }
}