﻿using System;
using System.Collections;
using System.Data;
using System.Linq;
using System.Data.SqlClient;
using System.Configuration;
using System.Web.UI.WebControls;
using SoftwareWebDidactico.Modelo;

namespace SoftwareWebDidactico
{
    public partial class Autoevaluacion1 : System.Web.UI.Page
    {
        private SqlConnection con = new SqlConnection();
        private DataClassesDataContext db = new DataClassesDataContext();

        protected void Page_Load(object sender, EventArgs e)
        {

        }

        protected override void OnPreRenderComplete(EventArgs e)
        {
            cargarListadoTest(int.Parse(categoriasRadComboBox.SelectedValue));
            base.OnPreRenderComplete(e);
        }

        protected void cargarListadoTest(int categoria)
        {
            SqlConnection con = new SqlConnection();
            SqlCommand cmd = new SqlCommand();

            con.ConnectionString = ConfigurationManager.ConnectionStrings["DBSofWebDidConnectionString"].ConnectionString;

            SqlParameter[] param = new SqlParameter[1];
            param[0] = new SqlParameter("@categoria", SqlDbType.Int, 16);
            param[0].Value = categoria;

            cmd.CommandType = CommandType.StoredProcedure;
            cmd.CommandText = "SeleccionTestVisiblePorCategoria";
            cmd.Connection = con;
            cmd.Parameters.AddRange(param);

            DataSet ds = new DataSet();
            SqlDataAdapter da = new SqlDataAdapter(cmd);
            da.Fill(ds);

            listadoTestGridView.DataSource = ds;
            listadoTestGridView.DataBind();
        }

        protected void UpdateItem(Object sender, DataGridCommandEventArgs e)
        {
            if (e.CommandName == "hacerTest")
            {
                string tema = e.Item.Cells[2].Text;
                int idTest = int.Parse(e.Item.Cells[0].Text);
                Response.Redirect("~/Test/Test.aspx?tema=" + tema + "&idTest=" + idTest);
            }
        }
    }
}