﻿using System;
using System.Data;
using System.Data.SqlClient;
using System.Configuration;
using System.Web.Security;

namespace SoftwareWebDidactico
{
    public partial class RegistroTest : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            SqlConnection con = new SqlConnection();
            SqlCommand cmd = new SqlCommand();

            con.ConnectionString = ConfigurationManager.ConnectionStrings["DBSofWebDidConnectionString"].ConnectionString;

            SqlParameter[] param = new SqlParameter[1];
            param[0] = new SqlParameter("@usuario", SqlDbType.UniqueIdentifier);
            MembershipUser m = Membership.GetUser(User.Identity.Name);
            Guid key = (Guid)m.ProviderUserKey;
            param[0].Value = key;

            cmd.CommandType = CommandType.StoredProcedure;
            cmd.CommandText = "SeleccionRegistroTestUsuario";
            cmd.Connection = con;
            cmd.Parameters.AddRange(param);

            DataSet ds = new DataSet();
            SqlDataAdapter da = new SqlDataAdapter(cmd);
            da.Fill(ds);

            registroTestGridView.DataSource = ds;
            registroTestGridView.DataBind();

        }
    }
}