﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Tema/PlantillaTema.master" AutoEventWireup="true" CodeBehind="Ejercicios.aspx.cs" Inherits="SoftwareWebDidactico.Ejercicio" %>
<%@ Register assembly="Telerik.Web.UI" namespace="Telerik.Web.UI" tagprefix="telerik" %>
<asp:Content ID="Content1" ContentPlaceHolderID="contenidoContentPlaceHolder" runat="server">
    <h2>EJERCICIOS</h2>
    <hr />
    <fieldset>
        <legend style="font-family: sans-serif; font-size: small">Ejercicios 
            <asp:Label ID="temaLabel" runat="server" Text="Label"></asp:Label></legend>
        <asp:DataList ID="ejerciciosDataList" runat="server" 
            DataSourceID="ejerciciosLinqDataSource" Width="632px">
            <ItemTemplate>
                <table style="width:100%;">
                    <tr>
                        <td>
                        Enunciado:
                            <ul> 
                                <li>
                                    <asp:Label ID="preguntaLabel" runat="server" Text='<%# Eval("pregunta") %>'/>
                                    <asp:Label ID="idEjercicioLabel" Visible="false" runat="server" Text='<%# Eval("idEjercicio") %>'></asp:Label>
                                </li>
                            </ul>
                        </td>
                    </tr>
                    <tr>
                        <td>
                        <asp:Label ID="ayudaLabel" runat="server" Text="Ayuda" Visible='<%#  !Eval("ayuda").ToString().Equals("")%>'></asp:Label>
                        <telerik:RadEditor ID="contentEditor" Content='<%# Eval("ayuda") %>' runat="server" AutoResizeHeight="True" 
                            Enabled="False" BackColor="#DADADA" Visible='<%#  !Eval("ayuda").ToString().Equals("")%>'>
                        </telerik:RadEditor>
                        </td>
                    </tr>
                    <tr>
                        <td style="text-align: right">
                            <telerik:RadButton ID="respuestaRadButton" runat="server" Text="Ver respuesta" 
                                onclick="respuestaRadButton_Click">
                            </telerik:RadButton>
                        </td>
                    </tr>
                    <tr>
                         <td style="text-align: justify">
                            <telerik:RadEditor ID="respuestaRadEditor" Font-Italic="true" Runat="server" Enabled="False" 
                                Visible="False" Content='<%# Eval("respuesta") %>'>
                            </telerik:RadEditor>
                        </td>
                    </tr>
                    
                </table>
            </ItemTemplate>
        </asp:DataList>
        <asp:LinqDataSource ID="ejerciciosLinqDataSource" runat="server" 
            ContextTypeName="SoftwareWebDidactico.Modelo.DataClassesDataContext" 
            EntityTypeName="" Select="new (tema, pregunta, respuesta, ayuda, idEjercicio)" 
            TableName="EjercicioTema" Where="tema == @tema">
            <WhereParameters>
                <asp:QueryStringParameter Name="tema" QueryStringField="id" Type="Int32" />
            </WhereParameters>
        </asp:LinqDataSource>
</fieldset></asp:Content>
