﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Test.aspx.cs" Inherits="SoftwareWebDidactico.Test" %>
<%@ Register assembly="Telerik.Web.UI" namespace="Telerik.Web.UI" tagprefix="telerik" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
    <style type="text/css">
        .style1
        {
            font-size: large;
        }
    </style>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder" runat="server">
<div class="textoInformacionPanel">
    <h2>AUTOEVALUACIÓN</h2>
    <hr />
    <asp:Panel ID="resultadoPanel" runat="server" Visible="False" 
        HorizontalAlign="Center">
            <span class="fontFAQ"><strong>Resultado del test: <span>
            <asp:Label ID="porcentajeLabel" runat="server" Font-Italic="True"></asp:Label>
            </span>
            <br />
            <asp:Label ID="preguntasCorrectasLabel" runat="server"></asp:Label>
            &nbsp;<span>de</span>
            <asp:Label ID="preguntasTotalesLabel" runat="server"></asp:Label>
            &nbsp;</strong>preguntas acertadas</span>
    </asp:Panel>

    <fieldset>
    <legend style="font-family: sans-serif; font-size: small">
        <asp:Label ID="testLabel" runat="server"></asp:Label>
        </legend>
    <asp:DataList ID="testDataList" runat="server" 
        DataSourceID="preguntasTestLinqDataSource" Width="665px">
        <ItemTemplate>
            <strong><span class="style1">·</span></strong>
            <asp:Label ID="preguntaLabel" runat="server" Text='<%# Eval("pregunta") %>' />
            <asp:Label ID="idPreguntaLabel" runat="server" ForeColor="White" 
                Text='<%# Eval("idPregunta") %>' />
            <div>
                <asp:RadioButtonList ID="opcionesRadioButtonList" runat="server" 
                    DataSourceID="opcionesTestLinqDataSource" DataTextField="opcion" 
                    DataValueField="correcion" Height="16px" style="margin-left: 15px" 
                    Width="599px">
                </asp:RadioButtonList>
            </div>
            <asp:LinqDataSource ID="opcionesTestLinqDataSource" runat="server" 
                ContextTypeName="SoftwareWebDidactico.Modelo.DataClassesDataContext" 
                EntityTypeName="" TableName="OpcionTest" Where="idPregunta == @idPregunta">
                <WhereParameters>
                    <asp:ControlParameter ControlID="idPreguntaLabel" Name="idPregunta" 
                        PropertyName="Text" Type="Int16" />
                </WhereParameters>
            </asp:LinqDataSource>
        </ItemTemplate>
    </asp:DataList>
    
    <div style="margin-top: 15px">
        <telerik:RadButton ID="corregirRadButton" runat="server" 
            onclick="corregirRadButton_Click" Text="Corregir">
        </telerik:RadButton>
    </div>
    </fieldset>
    <asp:LinqDataSource ID="preguntasTestLinqDataSource" runat="server" 
        ContextTypeName="SoftwareWebDidactico.Modelo.DataClassesDataContext" 
        EntityTypeName="" Select="new (idPregunta, pregunta)" TableName="PreguntaTest" 
        Where="test == @idTest">
        <WhereParameters>
            <asp:QueryStringParameter Name="idTest" QueryStringField="idTest" Type="Int16" />
        </WhereParameters>
    </asp:LinqDataSource>

</div>
</asp:Content>
