﻿using System;
using System.Data;
using System.Linq;
using System.Data.SqlClient;
using System.Configuration;
using SoftwareWebDidactico.Modelo;

namespace SoftwareWebDidactico
{
    public partial class Doc : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            DataClassesDataContext db = new DataClassesDataContext();

            var resultado = (from d in db.Documentación
                             where d.id.ToString() == Request.QueryString["id"]
                            select new {d.titulo,d.texto}).First();

            contentEditor.Content = resultado.texto;
            tituloLabel.Text = resultado.titulo.ToUpper();   
        }
    }
}