﻿using System;
using System.Data;
using System.Linq;
using System.Data.SqlClient;
using System.Configuration;
using System.Web.UI.WebControls;
using Telerik.Web.UI;
using System.Collections.Generic;
using System.Drawing;
using SoftwareWebDidactico.Modelo;

namespace SoftwareWebDidactico
{
    public partial class Descargas : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

        }

        protected void gruposCheckBoxList_SelectedIndexChanged(object sender, EventArgs e)
        {
            SqlConnection cnn = new SqlConnection(
            ConfigurationManager.ConnectionStrings["DBSofWebDidConnectionString"].ConnectionString.Trim());
            SqlCommand cmd = new SqlCommand();

            String sqlText = "SELECT * FROM TbGrupoDescarga ";
            String sqlFilterText = "";
            int index = 0;
            foreach (ListItem item in gruposCheckBoxList.Items)
            {
                index += 1;
                if (item.Selected)
                {
                    String paramName = "@param" + index.ToString().Trim();
                    SqlParameter param = new SqlParameter(paramName, SqlDbType.Int);
                    param.Value = item.Value;
                    cmd.Parameters.Add(param);

                    sqlFilterText += " idGrupoDescarga = " + paramName + " or ";
                }
            }

            if (!String.IsNullOrEmpty(sqlFilterText))
            {
                sqlText += " Where " + sqlFilterText.Substring(0, sqlFilterText.Length - 3);

                cmd.CommandText = sqlText;
                cmd.Connection = cnn;

                SqlDataAdapter adapter = new SqlDataAdapter(cmd);
                DataTable tbl = new DataTable();
                adapter.Fill(tbl);
                descargasDataList.DataSource = tbl;
                descargasDataList.DataBind();
            }
            else
            {
                sqlText += " Where idGrupoDescarga=-1 ";

                cmd.CommandText = sqlText;
                cmd.Connection = cnn;

                SqlDataAdapter adapter = new SqlDataAdapter(cmd);
                DataTable tbl = new DataTable();
                adapter.Fill(tbl);
                descargasDataList.DataSource = tbl;
                descargasDataList.DataBind();
            }
        }   
    }
}