﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="CuestionFAQ.aspx.cs" Inherits="SoftwareWebDidactico.Cuestionfaq" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register assembly="AjaxControlToolkit" namespace="AjaxControlToolkit.HTMLEditor" tagprefix="cc1" %>
<%@ Register assembly="AjaxControlToolkit" namespace="AjaxControlToolkit" tagprefix="asp" %>
<%@ Register Assembly="CKEditor.NET" Namespace="CKEditor.NET" TagPrefix="CKEditor" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>
<asp:Content ID="Content2" runat="server" contentplaceholderid="ContentPlaceHolder">
    <div class="textoInformacionPanel" >
     <h2><asp:Label ID="categoriaLabel" runat="server"></asp:Label></h2>
     <hr />
     <h2><asp:Label ID="preguntaLabel" runat="server" style="font-weight: 700"></asp:Label></h2>
     <br />
     <fieldset>
     <legend class="fontFAQ">Entrada</legend>
         <asp:Panel ID="resumenPanel" runat="server" BackColor="#F3F3F3">
             <div style="padding:8px">
             <asp:Label ID="resumenLabel" runat="server"></asp:Label>
            </div>
         </asp:Panel>
         <asp:RoundedCornersExtender ID="resumenPanel_RoundedCornersExtender" 
             runat="server" Enabled="True" TargetControlID="resumenPanel">
         </asp:RoundedCornersExtender>
         <br />
         <table style="width:100%;">
             <tr>
                 <td class="separacionEtiquetasFAQ">
                     <strong>Etiquetas</strong>:</td>
                 <td>
         <asp:DataList ID="etiquetasDataList" runat="server" 
             RepeatDirection="Horizontal" DataSourceID="etiquetasSqlDataSource">
             <ItemTemplate>
                 <telerik:RadButton ID="etiquetaRadButton" runat="server" NavigateUrl='<%# "~/FAQ/TemasEtiquetaFAQ.aspx?id=" + DataBinder.Eval(Container.DataItem, "idEtiqueta") %>'
                     Text='<%# DataBinder.Eval(Container.DataItem, "etiqueta") %>' 
                     ButtonType="LinkButton" >
                 </telerik:RadButton>
             </ItemTemplate>
         </asp:DataList>
                 </td>
             </tr>
         </table>
         <br />
         <asp:SqlDataSource ID="etiquetasSqlDataSource" runat="server" 
             ConnectionString="<%$ ConnectionStrings:DBSofWebDidConnectionString %>" 
             SelectCommand="SELECT TbEtiquetaFAQ.idEtiqueta, TbEtiquetaFAQ.etiqueta FROM TbEtiquetaFAQ INNER JOIN TbPreguntasEtiquetaFAQ ON TbEtiquetaFAQ.idEtiqueta=TbPreguntasEtiquetaFAQ.etiqueta WHERE TbPreguntasEtiquetaFAQ.pregunta=@pregunta">
             <SelectParameters>
                 <asp:QueryStringParameter Name="pregunta" QueryStringField="id" />
             </SelectParameters>
         </asp:SqlDataSource>

    </fieldset>

</asp:Content>

