﻿<%@ Page Title="" Language="C#" MasterPageFile="~/FAQ/FAQMaster.master" AutoEventWireup="true" CodeBehind="EtiquetasFAQ.aspx.cs" Inherits="SoftwareWebDidactico.EtiquetasFAQ" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<asp:Content ID="Content1" ContentPlaceHolderID="contenidoPlaceHolder" runat="server">
    <p style="text-align: justify">
        Las etiquetas se usan para categorizar las entradas del F.A.Q. Aquí encontrarás 
        todas las etiquetas que se están usando actualmente y el número de temas del 
        F.A.Q a los que identifican.</p>
    <asp:UpdatePanel ID="etiquetasUpdatePanel" runat="server">
        <ContentTemplate>
        <fieldset>
            <legend style="font-family: sans-serif; font-size: small">Etiquetas</legend>
            <table style="width:100%;">
                <tr>
                    <td>
                        <asp:DataList ID="etiquetasDataList" runat="server" 
                            DataSourceID="etiquetasSqlDataSource" RepeatDirection="Horizontal" 
                            RepeatColumns="3">
                            <ItemTemplate>
                                <table style="width:100%;">
                                    <tr>
                                        <td>
                                            <telerik:RadButton ID="etiquetaRadButton" runat="server" NavigateUrl='<%# "~/FAQ/TemasEtiquetaFAQ.aspx?id=" + DataBinder.Eval(Container.DataItem, "idEtiqueta") %>'
                                                Text='<%# DataBinder.Eval(Container.DataItem, "etiqueta") %>' 
                                                ButtonType="LinkButton" Width="180px">
                                            </telerik:RadButton>
                                        </td>
                                        <td>
                                            <asp:Label ID="temasLabel" runat="server" style="font-weight: 700"
                                                Text='<%# "x"+ DataBinder.Eval(Container.DataItem,"total") %>'></asp:Label>
                                        </td>
                                    </tr>
                                </table>
                            </ItemTemplate>
                        </asp:DataList>
                    </td>
                </tr>
            </table>
            <asp:SqlDataSource ID="etiquetasSqlDataSource" runat="server" 
                ConnectionString="<%$ ConnectionStrings:DBSofWebDidConnectionString %>" 
                SelectCommand="SELECT idEtiqueta, etiqueta, (SELECT COUNT(etiqueta) FROM TbPreguntasEtiquetaFAQ WHERE TbEtiquetaFAQ.idEtiqueta=TbPreguntasEtiquetaFAQ.etiqueta) AS total
                                FROM TbEtiquetaFAQ"></asp:SqlDataSource>
        </fieldset>
        </ContentTemplate>
    </asp:UpdatePanel>

</asp:Content>
