﻿<%@ Page Title="" Language="C#" MasterPageFile="~/FAQ/FAQMaster.master" AutoEventWireup="true" CodeBehind="NuevaPreguntaFAQ.aspx.cs" Inherits="SoftwareWebDidactico.NuevaPreguntaFAQ" %>
<%@ Register assembly="AjaxControlToolkit" namespace="AjaxControlToolkit.HTMLEditor" tagprefix="cc1" %>
<%@ Register assembly="Telerik.Web.UI" namespace="Telerik.Web.UI" tagprefix="telerik" %>
<asp:Content ID="Content1" ContentPlaceHolderID="contenidoPlaceHolder" runat="server">
<%@ Register Assembly="CKEditor.NET" Namespace="CKEditor.NET" TagPrefix="CKEditor" %>

    <fieldset>
    <legend style="font-family: sans-serif; font-size: small">Nueva entrada de F.A.Q</legend>
    <table style="width:100%;">
        <tr>
            <td class="separacionCamposEstandar" style="width: 100px">
                Título:</td>
            <td>
                
                
                <telerik:RadTextBox ID="preguntaRadTextBox" Runat="server" 
                    xmlns:telerik="telerik.web.ui" width="375px">
                    </telerik:RadTextBox>
                
                
            </td>
        </tr>
        <tr>
            <td style="height: 15px; width: 100px;" class="separacionCamposEstandar">
                Respuesta:</td>
            <td style="height: 15px">
                <CKEditor:CKEditorControl ID="resumenCKEditor" runat="server">
                </CKEditor:CKEditorControl> 
            </td>
        </tr>
        <tr>
            <td class="separacionCamposEstandar" style="width: 100px">
                Categoría:</td>
            <td>
                <telerik:RadComboBox ID="categoriaRadComboBox" Runat="server" 
                    DataSourceID="categoriasFAQLinqDataSource" DataTextField="categoria" 
                    DataValueField="idCategoria" Width="175px" xmlns:telerik="telerik.web.ui">
                        </telerik:RadComboBox>
            </td>
        </tr>
        <tr>
            <td class="separacionCamposEstandar">
                Etiquetas:</td>
            <td>
                <div>
                    <table style="width:100%;">
                        <tr>
                            <td style="width: 200px" class="separacionTutoriales">
                                <telerik:RadComboBox ID="etiquetaRadComboBox" Runat="server" 
                                    EmptyMessage="Introduzca etiqueta" AllowCustomText="True" DataSourceID="etiquetasLinqDataSource" 
                                    DataTextField="etiqueta" DataValueField="idEtiqueta" EnableLoadOnDemand="True" 
                                    MarkFirstMatch="True" Width="175px" xmlns:telerik="telerik.web.ui">
                                        </telerik:RadComboBox>
                            </td>
                            <td>
                                <telerik:RadListBox ID="etiquetasRadListBox" runat="server" 
                                    xmlns:telerik="telerik.web.ui">
                                        </telerik:RadListBox>
                            </td>
                        </tr>
                        <tr>
                            <td style="width: 200px" class="separacionTutoriales">
                                <telerik:RadButton ID="RadButton1" runat="server" 
                                    onclick="añadirEtiquetaRadButton_Click" Text="Añadir etiqueta" 
                                    xmlns:telerik="telerik.web.ui">
                                        </telerik:RadButton>
                            </td>
                            <td>
                                <telerik:RadButton ID="RadButton2" runat="server" Text="Eliminar etiqueta" 
                                    onclick="eliminarEtiquetaRadButton_Click" xmlns:telerik="telerik.web.ui">
                                        </telerik:RadButton>
                            </td>
                        </tr>
                        <tr>
                            <td style="width: 200px" class="separacionTutoriales">
                                <telerik:RadButton ID="RadButton3" runat="server" 
                                    onclick="crearEntradaRadButton_Click" Text="Crear entrada" 
                                    xmlns:telerik="telerik.web.ui">
                                        </telerik:RadButton>
                            </td>
                            <td>
                                &nbsp;</td>
                        </tr>
                    </table>
                </div>
            </td>
        </tr>
    </table>
        <asp:LinqDataSource ID="categoriasFAQLinqDataSource" runat="server" 
            ContextTypeName="SoftwareWebDidactico.Modelo.DataClassesDataContext" 
            EntityTypeName="" TableName="CategoriaFAQ">
        </asp:LinqDataSource>

        <asp:LinqDataSource ID="etiquetasLinqDataSource" runat="server" 
            ContextTypeName="SoftwareWebDidactico.Modelo.DataClassesDataContext" 
            EntityTypeName="" TableName="EtiquetaFAQ">
        </asp:LinqDataSource>

</fieldset>

    
</asp:Content>
